library(ineq)
library(readr)
library(data.table)
library(here)

dir = here()
workspace = paste(dir, "/Functions", sep = "")
setwd(workspace)

O = read_csv("Grund Merge.csv")


  files = list.files(pattern = "csv")
  files = files[files != "Grund Merge.csv"]
  fit <- do.call(rbind,lapply(files, read.csv))
  fit[, 2:5] = fit[, 2:5]*1000    

  
  O.match = do.call("rbind", replicate(length(unique(fit$type)), O, simplify = FALSE))
  error  =   rowSums( abs((O.match[ ,3:5] - fit[, 2:4])) , na.rm = T)
  O.match$error = error
  
  O.match = data.table(fit, O.match)
  O.match$error[O.match$error == Inf] = 10^10
  
  best = O.match[ , .I[error == min(error, na.rm = T)], by = .(Place, x)]
  best = O.match[best$V1]
  
  
  n.groups = length(best$gini)
  g.outer = ineq(best$mean)*n.groups/(n.groups-1)
  g.inner = mean(best$gini)
  g.ratio = g.outer/g.inner



setwd(dir)
output = data.frame(Year = best$Year, Level = best$x, N = NA, Mean = best$Median, Gini = best$gini, Source = "Grund 2002")
write_csv(output, "Grund Level Results.csv")





