library(ineq)
library(readr)
library(data.table)
library(here)

dir = here()
workspace = paste(dir, "/Data", sep = "")
setwd(workspace)
treble = read_csv("Treble Data.csv")


workspace = paste(dir, "/Functions", sep = "")
setwd(workspace)

O = read_csv("Treble_mean.csv")


  files = list.files(pattern = "csv")
  files = files[files != "Treble_mean.csv"]
  fit <- do.call(rbind,lapply(files, read.csv))
  fit[, 2:5] = fit[, 2:5]*1000    

  
  O.match = do.call("rbind", replicate(length(unique(fit$type)), O, simplify = FALSE))
  error  =   rowSums( abs((O.match[ ,c(4,3,5)] - fit[, 2:4])) , na.rm = T)
  O.match$error = error
  
  O.match = data.table(fit, O.match)
  O.match$error[O.match$error == Inf] = 10^10
  
  best = O.match[ , .I[error == min(error, na.rm = T)], by = x]
  best = O.match[best$V1]
  


output = data.frame(Year = "1989-1997", Level = best$x, N = NA, Mean = best$Mean, Gini = best$gini, Source = "Treble et al 2001")
colnames(treble) <- colnames(output)
merge = rbind(treble, output)

setwd(dir)
write_csv(merge, "Treble Level Results.csv")





