library(readr)
library(here)
library(magrittr)
library(data.table)

dir = here()
workspace = paste(dir, "/Audas", sep = "")
setwd(workspace)
audas = read_csv("Audas Level Results.csv")

workspace = paste(dir, "/BGH", sep = "")
setwd(workspace)
bgh = read_csv("BGH Level Results.csv")


workspace = paste(dir, "/Dohmen", sep = "")
setwd(workspace)
dohmen = read_csv("Dohmen Level Results.csv")


workspace = paste(dir, "/Grund", sep = "")
setwd(workspace)
grund = read_csv("Grund Level Results.csv")

workspace = paste(dir, "/Lima", sep = "")
setwd(workspace)
lima = read_csv("Lima Level Results.csv")


workspace = paste(dir, "/Morais", sep = "")
setwd(workspace)
morais = read_csv("Morais Data.csv")

  # remove morais level #1
  morais = subset(morais, Level !=1)

workspace = paste(dir, "/Treble", sep = "")
setwd(workspace)
treble = read_csv("Treble Level Results.csv")

setwd(dir)
  d = rbind(audas, bgh, dohmen, grund, lima, morais, treble)
  
  d$N = as.numeric(d$N)
  d = d[order(d$Source, d$Year, d$Level),]


  # Span 
  #########################
  l = length(d$Year)
  
  span = d$N[-l]/d$N[-1]
  step = diff(d$Level)
  span[step< 0] = NA
  
  d$span = NA
  d$span[2:l] = span
  
  
  # Pay scaling
  ############################
  pay.scale =  d$Mean[-1]/d$Mean[-l]
  step = diff(d$Level)
  pay.scale[step < 0] = NA
  d$pay.scale[2:l] = pay.scale


write_csv(d, "case_studies.csv")

