library(data.table)
library(here)
library(magrittr)

dir = here()
setwd(dir)

# slaves
setwd(dir)
slaves = fread("solomon_data.csv")
n_slaves = slaves$n_slaves %>% na.omit()

# income
planter_income = slaves$planter_income %>% na.omit()
slave_expenses = slaves$slave_expenses %>% na.omit()

n = 50
output = NULL

for(i in 1:n){
    slave_income_pc = slave_expenses/sample(n_slaves,1)
    planter_income_pc = sample(planter_income, 1) 
    
    planter_slave_income_ratio = planter_income_pc / slave_income_pc
    n_slave = sample(n_slaves, 1)
    planter_power = n_slave + 1 
  
    result = data.table(power = planter_power, pay_norm = planter_slave_income_ratio)
    output = rbind(output, result)
}

# export
setwd(dir)
fwrite(output, "solomon_power.csv")
