bin_func = function(x, y, adjust, lwr, upr){
  
  # make bins
  bin = round( adjust*(x), 1 )/ adjust
  
  # get quantiles
  prob_vec = c(lwr, 0.5, upr)
  
  get.summary = function(vals){
    p = as.numeric(quantile(vals, probs = prob_vec))
    names(p) = c("lwr", "mid", "upr")
    return(p)
  }
  
  # temp data table
  tmp = data.table(x, y, bin)
  tmp = tmp[order(x)]
  
  # get quantiles
  quants = tmp[, as.list(get.summary(y)), by = bin]
  quants = quants[order(bin)]
  
  # make step function
  x = quants$bin
  lwr = quants$lwr
  mid = quants$mid
  upr = quants$upr
  
  # n bins
  n = length(x)
  
  # bin width
  bin_width = mean(diff(x))
  
  start = x - bin_width/2
  start[1] = min(x)
  
  
  line_hist = rbind(
    data.table(bin = start, 
               lwr = lwr,
               mid = mid,
               upr = upr,   
               id = 1:n),
    data.table(bin = x[-1] - bin_width/2, 
               lwr = lwr[-n],
               mid = mid[-n],
               upr = upr[-n],
               id = 1:(n - 1) + 0.5),
    data.table(bin = x[n], 
               lwr = lwr[n],
               mid = mid[n],
               upr = upr[n],  
               id = n + 1)
  )
  
  line_hist = line_hist[order(id)]
  line_hist = line_hist[,-5]
  
  return(line_hist)
}
