library(hmod)
library(here)
library(magrittr)

dir = here()
setwd(dir)


# us military
setwd(dir)
setwd("../../data/military")
military = fread("span_of_control.csv")
span_military = data.table(span = military$span, source = "US Military")

# case studies
setwd(dir)
setwd("../../data/firm_case_studies")
case_study = fread("case_subordinates.csv")
span_case = data.table(span = case_study$span, source = "Firm Case Studies") %>% na.omit()

# aggregate studies
setwd(dir)
setwd("../../data/firm_aggregate_studies")
aggregate_study = fread("aggregate_data.csv")
aggregate_study = aggregate_study[! is.na(Span)]
span_aggregate = data.table(span = aggregate_study$Span, source = "Firm Aggegate Studies") %>% na.omit()

# merge
all = rbind(span_military, span_case, span_aggregate)

# export
setwd(dir)
fwrite(all, "span.csv")